6.0.0-git
2019-11-19

[#4577] Move the Version column to be an attribute
Summary Move the Version column to be an attribute
Queue Whups
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 2006-10-29 (4769 days ago)
Due
Updated 2009-01-24 (3951 days ago)
Assigned
Resolved
Milestone 2
Patch No

History
2009-01-24 15:42:02 Chuck Hagenbuch Comment #6
State ⇒ Accepted
Milestone ⇒ 2
Reply to this comment
Actually I guess this still makes sense. Still queue-based, just less 
specific. Some things to work out of course.
2009-01-24 15:40:39 Chuck Hagenbuch Comment #5
State ⇒ Rejected
Reply to this comment
I've changed my mind on this for now.
2008-04-04 11:53:41 Jan Schneider Comment #4 Reply to this comment
This ticket seems to relate to one need we have, which is to have
more robust attributes: enum, multi-select, radio, etc.
I think that's the most important thing that's left missing. Attribute 
support has otherwise matured a lot recently. We actually already have 
support for arbitrary Horde_Form fields for attributes, but only 
through the attributes hook. All that would need to be done is to 
extend the attributes table to include the Horde_Form field type and 
the interface to include a drop down list of available form fields 
(take ulaform as an example).
Extrapolating from this, and looking a little further down the road,
we'd really like to see Whups more strongly integrated with other key
tools in Horde:
This doesn't belong to this ticket and is actually something we would 
like to approach with a developer bundle.
2008-04-01 22:10:58 php (at) ideacode (dot) com Comment #3 Reply to this comment
Once full attribute support is done, Version can just be an attribute
instead of a special case.
Chuck, can you comment on "full attribute support": what will be 
included, when will it be available, other tickets that relate to this 
support, etc?



This ticket seems to relate to one need we have, which is to have more 
robust attributes: enum, multi-select, radio, etc.  Extrapolating from 
this, and looking a little further down the road, we'd really like to 
see Whups more strongly integrated with other key tools in Horde:

* nag -- so that tickets can be quantized

* wicked -- so that better formatting can be applied

* hermes -- so that better effort estimates may be tracked/computed

* agora -- so more creative & collaborative communication can occur



If there were a little more documentation on how to make framework 
elements speak to each other, and if we knew where the Horde system 
was moving as a whole, and if we knew the status of this particular 
request as a whole, we could tackle these independently and provide 
patches.
2006-11-15 20:51:51 Chuck Hagenbuch Comment #2 Reply to this comment
See ticket 1078 for some additional requirements.
2006-10-29 03:49:41 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ Move the Version column to be an attribute
Queue ⇒ Whups
Reply to this comment
Once full attribute support is done, Version can just be an attribute 
instead of a special case.

Saved Queries